"use strict";

var _react = _interopRequireDefault(require("react"));

var _addons = require("@storybook/addons");

var _constants = require("./constants");

var _Panel = _interopRequireDefault(require("./Panel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_addons.addons.register(_constants.ADDON_ID, function () {
  var channel = _addons.addons.getChannel();

  _addons.addons.add(_constants.ADDON_ID, {
    title: 'Playroom',
    type: _addons.types.TAB,
    route: function route(_ref) {
      var storyId = _ref.storyId;
      return "/playroom/".concat(storyId);
    },
    match: function match(_ref2) {
      var viewMode = _ref2.viewMode;
      return viewMode === 'playroom';
    },
    render: function render(_ref3) {
      var active = _ref3.active;
      return /*#__PURE__*/_react["default"].createElement(_Panel["default"], {
        active: active,
        channel: channel
      });
    },
    paramKey: _constants.PARAM_KEY
  });
});